/// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2022 Florian Schmaus
#pragma once

#include <iostream>

namespace emper {

enum class StealingMode {
	child,
	continuation,
};

auto operator<<(std::ostream& out, const StealingMode& stealingMode) -> std::ostream&;

auto operator>>(std::istream& in, StealingMode& stealingMode) -> std::istream&;

}	 // namespace emper
