// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2020-2021 Florian Schmaus
#pragma once

#include <iostream>
#include <vector>

#include "strategies/AbstractWorkStealingStats.hpp"
#include "strategies/laws/LawsWorkerStats.hpp"

class LawsStrategy;

class LawsStrategyStats : public AbstractWorkStealingStats {
 public:
	std::vector<LawsWorkerStats> workerStats;
	LawsWorkerStats comulatedWorkerStats;

	LawsStrategyStats(LawsStrategy& lawsStrategy);

	void print(std::ostream& out = std::cout) override;
};
