// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2022 Florian Schmaus
#pragma once

#include "lib/adt/PushBottomResult.hpp"

namespace emper {
enum class StealingResult;
}	 // namespace emper

namespace emper::extralibs::wsqueue {

namespace cl {
auto pushBottom(int value) -> adt::PushBottomResult;

auto popBottom(int* value) -> bool;

auto popTop(int* value) -> StealingResult;
}	 // namespace cl

namespace cl3 {
auto pushBottom(int value) -> adt::PushBottomResult;

auto popBottom(int* value) -> bool;

auto popTop(int* value) -> StealingResult;
}	 // namespace cl3

namespace cl4 {
auto pushBottom(int value) -> adt::PushBottomResult;

auto popBottom(int* value) -> bool;

auto popTop(int* value) -> StealingResult;
}	 // namespace cl4

}	 // namespace emper::extralibs::wsqueue
